Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 884836

Summary: smokeqt 4.9.90-1 not built with $RPM_OPT_FLAGS
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: smokeqtAssignee: Than Ngo <than>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jreznik, kevin, ltinkl, rdieter, rnovacek, than
Target Milestone: ---Keywords: Patch, Regression
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: smokeqt-4.10.0-2 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-26 02:42:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968, 907993    

Description Ville Skyttä 2012-12-06 20:06:09 UTC
smokeqt 4.9.90-1 is not built with $RPM_OPT_FLAGS:

http://kojipkgs.fedoraproject.org/packages/smokeqt/4.9.90/1.fc19/data/logs/x86_64/build.log

4.9.4-1 doesn't have this problem:

http://kojipkgs.fedoraproject.org/packages/smokeqt/4.9.4/1.fc18/data/logs/x86_64/build.log

Comment 1 Ville Skyttä 2013-02-25 21:33:05 UTC
https://bugs.kde.org/show_bug.cgi?id=315772

Comment 2 Rex Dieter 2013-02-26 02:35:48 UTC
Hrm, seems I totally missed seeing this bug until now.  Fix looks good, thanks!

Comment 3 Rex Dieter 2013-02-26 02:42:16 UTC
%changelog
* Mon Feb 25 2013 Rex Dieter <rdieter> 4.10.0-2
- don't override CXXFLAGS (#884836, kde#315772)